<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.taurus</groupId>
    <artifactId>taurus-server</artifactId>
    <version>1.0.1</version>
  </parent>
  <packaging>jar</packaging>
  <artifactId>taurus-core</artifactId>
  <version>1.0.1</version>
  
  <dependencies>
		<!-- https://mvnrepository.com/artifact/redis.clients/jedis -->
		<dependency>
			<groupId>redis.clients</groupId>
			<artifactId>jedis</artifactId>
		</dependency>
		
		<!-- 需要用HikariCP时导入 ，自己在项目中添加-->
		<dependency>
	        <groupId>com.zaxxer</groupId>
	        <artifactId>HikariCP</artifactId>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/jdom/jdom -->
		<dependency>
		    <groupId>jdom</groupId>
		    <artifactId>jdom</artifactId>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/log4j/log4j -->
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
	
	
  </dependencies>
  
  
  <build>
        <plugins>
            <plugin> <!-- 打jar包 -->
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <configuration>
                    <excludes>
                        <exclude>**/*.properties</exclude>
                    </excludes>
                </configuration>
            </plugin>
            <plugin> <!-- 打源码 -->
               <groupId>org.apache.maven.plugins</groupId>
               <artifactId>maven-source-plugin</artifactId>  
               <version>2.4</version>
                <configuration>  
                    <attach>true</attach>  
                </configuration>  
                <executions>  
                    <execution>  
                        <phase>compile</phase>  
                        <goals>  
                            <goal>jar</goal>  
                        </goals>  
                    </execution>  
                </executions> 
            </plugin> 
        </plugins>
    </build>
    <distributionManagement>  
        <repository>  
            <id>releases</id>  
            <name>Nexus Release Repository</name>  
            <url>http://192.168.1.236:8081/nexus/content/repositories/releases/</url>  
        </repository>  
        <snapshotRepository>  
            <id>snapshots</id>  
            <name>Nexus Snapshot Repository</name>  
            <url>http://192.168.1.236:8081/nexus/content/repositories/snapshots/</url>  
        </snapshotRepository>  
    </distributionManagement> 
  <!--  
  <build>
  
	  <plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>  
				<artifactId>maven-dependency-plugin</artifactId>  
				<version>3.0.1</version>  
				<executions>
				    <execution>
				      <phase>package</phase>  
				         <goals>  
				             <goal>copy-dependencies</goal>  
				         </goals>
				         <configuration>
				        <outputDirectory>target/lib</outputDirectory>
				        <excludeArtifactIds>
				          junit
				        </excludeArtifactIds>
				        <overWriteSnapshots>true</overWriteSnapshots>
				      </configuration>
				    </execution>
				</executions>
		  	</plugin>
		</plugins>
	</build>-->
</project>
